package  com.qiyou.mb.android.utils.server;

 public class SharedLocation{
	 public   SharedLocation(){ }
	 
	 public double getLat() {
		return lat;
	}
	public void setLat(double lat) {
		this.lat = lat;
	}
	public double getLon() {
		return lon;
	}
	public void setLon(double lon) {
		this.lon = lon;
	}
	public long getTime() {
		return time;
	}

	public void setTime(long time) {
		this.time = time;
	}
	public float getBear() {
		return bear;
	}

	public void setBear(float f) {
		this.bear = f;
	}
	public float getEle() {
		return ele;
	}

	public void setEle(float ele) {
		this.ele = ele;
	}
	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}
	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}
	public float getSpeed() {
		return speed;
	}

	public void setSpeed(float speed) {
		this.speed = speed;
	}
	public int getFace() {
		return face;
	}

	public void setFace(int face) {
		this.face = face;
	}
	public float getDist() {
		return dist;
	}

	public void setDist(float dist) {
		this.dist = dist;
	}
 
	public int getExpired() {
		return expired;
	}

	public void setExpired(int expired) {
		this.expired = expired;
	}

	private double lat;
	private double lon;
	private float speed;
	private long time;
	private float ele;
	private float bear;
	private int type; //0: normal, 1:sos
	private String msg;
	private String name;  //account
	private int id; //user id
	private int face; //face icon
 	private float dist;
 	private int expired; //expired in xx hours
	
}